# Uses of Enum Class
org.apache.sysds.hops.OptimizerUtils.MemoryManager

Packages that use OptimizerUtils.MemoryManager
Package
Description
org.apache.sysds.hops

## Uses of OptimizerUtils.MemoryManager in org.apache.sysds.hops

Fields in org.apache.sysds.hops declared as OptimizerUtils.MemoryManager
Modifier and Type
Field
Description
`static OptimizerUtils.MemoryManager`
OptimizerUtils.`MEMORY_MANAGER`
Indicate the current memory manager in effect
Methods in org.apache.sysds.hops that return OptimizerUtils.MemoryManager
Modifier and Type
Method
Description
`static OptimizerUtils.MemoryManager`
OptimizerUtils.MemoryManager.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OptimizerUtils.MemoryManager[]`
OptimizerUtils.MemoryManager.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.